[Product-Developers] versions.cfg for Plone 3.1.6/7

Wichert Akkerman wichert at wiggy.net
Tue Feb 9 14:51:40 UTC 2010


On 2010-2-9 15:50, Hedley Roos wrote:
> Hi all
>
> I have an older Plone 3.1.6 site without a versions.cfg. Naturally
> re-running the buildout is a nightmare. Can anyone provide me with a
> versions.cfg for either 3.1.6 or 3.1.7.

There is none. versions.cfg was introduced with Plone 3.2 when we fully 
switched to eggs (aside from Zope2 itself). For plone 3.0 and 3.1 
plone.recipe.plone pins everything Plone needs, so there should not be 
any need for you to pin Plone components.

> Also, how about a ./bin/buildout --dry-run? That will allow me to run it
> on an existing working instance and use dumppickedversions to generate a
> versions.cfg.

I suspect that is not possible to implement in zc.buildout since 
setuptools does not expose the require information.

Wichert.

-- 
Wichert Akkerman <wichert at wiggy.net>   It is simple to make things.
http://www.wiggy.net/                  It is hard to make things simple.




More information about the Product-Developers mailing list